package edu.certification.abhijitsarkar.ocewsd.jaxrs.basic;

import javax.ws.rs.Path;
import javax.ws.rs.PathParam;

import org.apache.log4j.Logger;

import edu.certification.abhijitsarkar.ocewsd.utility.logging.AppLogger;

@Path("car")
public class CarResource {
	private static final Logger logger = AppLogger.getInstance(BasicPathParamSubresource.class);
	

	@Path("{subresourceLocator}")
	public Object locateSubresource(
			@PathParam(value = "subresourceLocator") String subresourceLocator) {
		logger.debug("subresourceLocator: " + subresourceLocator);
		
		if (subresourceLocator == null
				|| subresourceLocator.trim().length() == 0
				|| subresourceLocator.equalsIgnoreCase("basicPathParam")) {
			return new BasicPathParamSubresource();
		} else if (subresourceLocator.equalsIgnoreCase("multiplePathParam")) {
			return new MultiplePathParamsSubresource();
		} else if (subresourceLocator.equalsIgnoreCase("multiplePathSegment")) {
			return new MultiplePathSegmentsSubresource();
		} else if (subresourceLocator.equalsIgnoreCase("matrixParam")) {
			return new MatrixParamSubresource();
		} else if (subresourceLocator.equalsIgnoreCase("queryParam")) {
			return new QueryParamSubresource();
		} else if (subresourceLocator.equalsIgnoreCase("cookieParam")) {
			return new CookieParamSubresource();
		} else if (subresourceLocator.equalsIgnoreCase("headerParam")) {
			return new HeaderParamSubresource();
		} else if (subresourceLocator.equalsIgnoreCase("formParam")) {
			return new FormParamSubresource();
		} else {
			return new ContextSubresource();
		}
	}
}